Package org.eclipse.mat.query.refined

# Class TotalsResult

java.lang.Object
org.eclipse.mat.query.refined.TotalsResult

public class TotalsResult extends Object
Used by the `TotalsCalculator` to encapsulate the value and format to display.

Since:
  1.5

## Constructor Summary

Constructors
Constructor
Description
`TotalsResult(Object value, Format format)`

## Method Summary

Modifier and Type
Method
Description
`Format`
`getFormat()`
`Object`
`getValue()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TotalsResult

public TotalsResult(Object value, Format format)

## Method Details

### getValue

public Object getValue()

### getFormat

public Format getFormat()